Bug 656708 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
:
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:44 EST by Lennart Poettering
Modified: 2013-03-03 20:28 EST (History)
6 users (show)

See Also:
Fixed In Version: tuned-0.2.18-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-29 06:48:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-11-23 18:44:36 EST
Your package tuned appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Petr Lautrbach 2010-11-29 04:23:57 EST
There is no need to add %ghost to directories in /var/{run.lock} 

You should only add /etc/tmpfiles.d/tuned.conf file with configuration for /var/log/tuned and /var/run/tuned.
Comment 2 Petr Lautrbach 2010-11-29 04:44:11 EST
Sorry for typos:

There is no need to add %ghost to directories in /var/{run,lock} 

You should only add /etc/tmpfiles.d/tuned.conf file with configuration for /var/run/tuned.
Comment 3 Jan Vcelak 2010-11-29 06:48:42 EST
Fixed in tuned-0.2.18-1.fc15.

Note You need to log in before you can comment on or make changes to this bug.